| OpenZWave Library 1.6.0

Public Member Functions | List of all members
OpenZWave::LabelLocalizationEntry Class Reference

`#include <Localization.h>`

Inheritance diagram for OpenZWave::LabelLocalizationEntry:

## Public Member Functions
| LabelLocalizationEntry (uint16 _index, uint32 _pos=-1)
| ~LabelLocalizationEntry ()
void | AddLabel (string label, string lang="")
string | GetLabel (string lang)
uint64 | GetIdx ()
bool | HasLabel (string lang)
Public Member Functions inherited from OpenZWave::Ref
| Ref ()
void | AddRef ()
int32 | Release ()

## Additional Inherited Members
Protected Member Functions inherited from OpenZWave::Ref
virtual | ~Ref ()

## Constructor & Destructor Documentation

## ◆ LabelLocalizationEntry()

LabelLocalizationEntry::LabelLocalizationEntry | ( | uint16 | _index,
|  | uint32 | _pos = `-1`
| ) |  |

## ◆ ~LabelLocalizationEntry()

OpenZWave::LabelLocalizationEntry::~LabelLocalizationEntry | ( |  | ) |
| inline

## Member Function Documentation

## ◆ AddLabel()

void LabelLocalizationEntry::AddLabel | ( | string | label,
|  | string | lang = `""`
| ) |  |

## ◆ GetIdx()

uint64 LabelLocalizationEntry::GetIdx | ( |  | ) |

## ◆ GetLabel()

string LabelLocalizationEntry::GetLabel | ( | string | lang | ) |

## ◆ HasLabel()

bool LabelLocalizationEntry::HasLabel | ( | string | lang | ) |

The documentation for this class was generated from the following files:

- Localization.h
- Localization.cpp